/* ************************************************************************** */
/* ************************** list of operations **************************** */
/* ************************************************************************** */
#define BLOCK_LIST_C
	#include "operation_list_inc.h"
#undef BLOCK_LIST_C

/* callback function after creating operation in list */
void operation_list_Create_Callback(operation_data *Item)
{
	Item->mtext = NULL;
	Item->process_ids = NULL;
}

/* callback function before deleting operation from list */
void operation_list_Delete_Callback(operation_data *Item)
{
/*	if (Item->mtext != NULL)
	{
		free(Item->mtext);
		Item->mtext = NULL;
	}*/

	if (Item->process_ids != NULL)
	{
		free(Item->process_ids);
		Item->process_ids = NULL;
	}
}
